Bug 1302860 - [abrt] gedit: magazine_chain_pop_head(): gedit killed by SIGSEGV
[abrt] gedit: magazine_chain_pop_head(): gedit killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:40cb33616ea288aef8c6269d0e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 14:34 EST by Micah Abbott
Modified: 2016-12-20 13:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.63 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: core_backtrace (6.65 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: dso_list (12.61 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: environ (862 bytes, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: maps (56.22 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: mountinfo (3.57 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: open_fds (1.25 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details
File: var_log_messages (293 bytes, text/plain)
2016-01-28 14:34 EST, Micah Abbott
no flags Details

  None (edit)
Description Micah Abbott 2016-01-28 14:34:13 EST
Version-Release number of selected component:
gedit-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gedit
global_pid:     16452
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:535
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:998
 #3 bookmark_metadata_new at gbookmarkfile.c:329
 #4 start_element_raw_cb at gbookmarkfile.c:1182
 #5 emit_start_element at gmarkup.c:1042
 #6 g_markup_parse_context_parse at gmarkup.c:1389
 #7 g_bookmark_file_parse at gbookmarkfile.c:1424
 #8 g_bookmark_file_load_from_data at gbookmarkfile.c:1649
 #9 g_bookmark_file_load_from_file at gbookmarkfile.c:1686

Potential duplicate: bug 750087
Comment 1 Micah Abbott 2016-01-28 14:34:16 EST
Created attachment 1119251 [details]
File: backtrace
Comment 2 Micah Abbott 2016-01-28 14:34:17 EST
Created attachment 1119252 [details]
File: cgroup
Comment 3 Micah Abbott 2016-01-28 14:34:18 EST
Created attachment 1119253 [details]
File: core_backtrace
Comment 4 Micah Abbott 2016-01-28 14:34:19 EST
Created attachment 1119254 [details]
File: dso_list
Comment 5 Micah Abbott 2016-01-28 14:34:20 EST
Created attachment 1119255 [details]
File: environ
Comment 6 Micah Abbott 2016-01-28 14:34:20 EST
Created attachment 1119256 [details]
File: exploitable
Comment 7 Micah Abbott 2016-01-28 14:34:21 EST
Created attachment 1119257 [details]
File: limits
Comment 8 Micah Abbott 2016-01-28 14:34:22 EST
Created attachment 1119258 [details]
File: maps
Comment 9 Micah Abbott 2016-01-28 14:34:23 EST
Created attachment 1119259 [details]
File: mountinfo
Comment 10 Micah Abbott 2016-01-28 14:34:24 EST
Created attachment 1119260 [details]
File: namespaces
Comment 11 Micah Abbott 2016-01-28 14:34:25 EST
Created attachment 1119261 [details]
File: open_fds
Comment 12 Micah Abbott 2016-01-28 14:34:26 EST
Created attachment 1119262 [details]
File: proc_pid_status
Comment 13 Micah Abbott 2016-01-28 14:34:27 EST
Created attachment 1119263 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:15:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:16:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.